> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments for a transaction

> Return payments matching a transaction hash and network.

## Network support

The lookup returned payment records on Cosmos Hub (`cosmoshub-4`) for transaction hash `d75b03434d3068af8793bb9f017f0d4d45e44ef65054d06c754f610dc0723fbe`:

```text theme={null}
GET /v1/network/payments?network=cosmoshub-4&hash=d75b03434d3068af8793bb9f017f0d4d45e44ef65054d06c754f610dc0723fbe
```

This verifies the recorded input, without guaranteeing complete history or all assets. See [Pull stablecoin payment flows](https://docs.range.org/data-api/guides/pull-stablecoin-payment-flows.md) for another recorded lookup.


## OpenAPI

````yaml api-reference/data-api.json get /v1/network/payments
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/payments:
    get:
      tags:
        - Network Information
      summary: Get payments for a transaction
      description: Returns a list of payments associated with the specified transaction.
      operationId: getAddressPayments
      parameters:
        - name: network
          required: true
          in: query
          description: Network of transaction
          schema:
            type: string
            example: ethereum
        - name: hash
          required: true
          in: query
          description: Txn Hash
          schema:
            example: '0xe6497e3ee548a3372136af2fcb0696db31fc6cf20260707645068bd3fe97f3c4'
            type: string
        - name: limit
          required: false
          in: query
          description: Number of items to return
          schema:
            default: 50
            example: 10
            type: number
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            default: 0
            type: number
      responses:
        '200':
          description: Payments associated with a specific transaction.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentsInfo'
components:
  schemas:
    PaymentsInfo:
      type: object
      properties:
        total:
          type: number
        payments:
          type: array
          items:
            $ref: '#/components/schemas/Payment'
      required:
        - total
        - payments
    Payment:
      type: object
      properties:
        id:
          type: string
        time:
          type: string
        denom:
          type: string
        amount:
          type: string
        sender_tx_hash:
          type: string
        sender_entity:
          type: string
        sender_height:
          type: string
        sender_network:
          type: string
        sender_address_id:
          type: string
        sender_address_details:
          $ref: '#/components/schemas/AddressDetails'
        receiver_address_details:
          $ref: '#/components/schemas/AddressDetails'
      required:
        - id
        - time
        - denom
        - amount
        - sender_tx_hash
        - sender_entity
        - sender_height
        - sender_network
        - sender_address_id
    AddressDetails:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        ecosystem:
          type: string
        name_tag:
          type: string
        category:
          type: string
        address_role:
          type: string
        entity:
          type: string
        entity_name:
          type: string
        attributes:
          type: object
        tags:
          type: array
          items:
            type: string
        entity_icon_url:
          type: string
        malicious:
          type: boolean
        is_validator:
          type: boolean
      required:
        - address
        - network
        - ecosystem
        - malicious
        - is_validator
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.